VERSION 5.00
Begin VB.Form frmMain 
   AutoRedraw      =   -1  'True
   Caption         =   "FishLamp : SetLamp"
   ClientHeight    =   5295
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7545
   Icon            =   "FishLamp.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   5295
   ScaleWidth      =   7545
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   375
      Left            =   5880
      TabIndex        =   1
      Top             =   4200
      Width           =   1335
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   375
      Left            =   5880
      TabIndex        =   0
      Top             =   4680
      Width           =   1335
   End
   Begin VB.Label lblStatus 
      Alignment       =   2  'Zentriert
      Caption         =   "STARTEN"
      BeginProperty Font 
         Name            =   "Comic Sans MS"
         Size            =   20.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   480
      TabIndex        =   2
      Top             =   480
      Width           =   6495
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmMain(FishLamp.frm)                                   Ulrich Mller 17.12.99
'                                                         Procida 400NT    VB6.0
' Test von SetLamp mit FishN632.DLL
'
' ------------------------------------------------------------------------------

Option Explicit

Const lampsAus = &HFFFF&, timeFak = 10

Const clGruen = 2, clGelb = 1, clRot = 4, clFuss = 3
Const ctFuss = 1, ctAbbruch = 8
Const csGrnE = 0, csGrnA = 2, csGelbE = 0, csGelbA = 1, csRotE = 0, csRotA = 8
Const csFussE = 0, csFussA = 4

Dim ft As clsFishFace
Dim WunschFuSperre As Boolean
Private Sub comDrei()

' --- Lampen Grn - Gelb - Rot werden nacheinander eingeschaltet ---
'     fr serielles Interface M1 vorn = 2, M2 vorn = 4

Const Dauer = 500

  lblStatus = "comDrei luft"
  Do
    ft.SetLamp 2, ftiEin             ' --- M1 vorn
    ft.WaitForTime Dauer
    ft.SetLamp 1, ftiEin             ' --- M1 hinten
    ft.WaitForTime Dauer
    ft.SetLamp 4, ftiEin             ' --- M2 vorn
    ft.WaitForTime Dauer
    ft.SetMotors lampsAus
    ft.WaitForTime Dauer
  Loop Until ft.GetInput(ctAbbruch) Or ft.NotHalt

End Sub

Private Sub comFuss()

'  --- Fugngerberweg mit Bedarfssteuerung ---

  lblStatus = "Bitte FuPhase anfordern"
  ft.SetLamp clGruen, ftiEin
  Do
    If ft.GetInput(ctFuss) And Not WunschFuSperre Then
      lblStatus = "FuPhase in Arbeit"
      comFussZyklusT
      lblStatus = "Bitte FuPhase anfordern"
    End If
  Loop Until ft.NotHalt Or ft.GetInput(ctAbbruch)
  
End Sub



Private Sub comFussZyklus()

' --- Ein FugngerZyklus ----

  WunschFuSperre = True
  lblStatus = "FuPhase in Arbeit"
  
  ft.WaitForTime 100 * timeFak
  ft.SetLamp clGruen, ftiAus
  ft.SetLamp clGelb, ftiEin
  ft.WaitForTime 100 * timeFak
  ft.SetLamp clGelb, ftiAus
  ft.SetLamp clRot, ftiEin
  ft.SetLamp clFuss, ftiEin
  ft.WaitForTime 350 * timeFak
  ft.SetLamp clFuss, ftiAus
  ft.WaitForTime 100 * timeFak
  ft.SetLamp clGelb, ftiEin
  ft.WaitForTime 100 * timeFak
  ft.SetLamp clRot, ftiAus
  ft.SetLamp clGelb, ftiAus
  ft.SetLamp clGruen, ftiEin
  ft.WaitForTime 500 * timeFak
  
  WunschFuSperre = False
  
End Sub



Private Sub comFussZyklusS()

' --- Ein Fugngerzyklus, Variante mit SetMotors ----------

  WunschFuSperre = True
  
  ft.WaitForTime 100 * timeFak
  ft.SetMotors csGrnA + csGelbE + csRotA + csFussA
  ft.WaitForTime 100 * timeFak
  ft.SetMotors csGrnA + csGelbA + csRotE + csFussE
  ft.WaitForTime 350 * timeFak
  ft.SetMotors csGrnA + csGelbA + csRotE + csFussA
  ft.WaitForTime 100 * timeFak
  ft.SetMotors csGrnA + csGelbE + csRotE + csFussA
  ft.WaitForTime 100 * timeFak
  ft.SetMotors csGrnE + csGelbA + csRotA + csFussA
  ft.WaitForTime 500 * timeFak
  
  WunschFuSperre = False

End Sub

Private Sub comFussZyklusT()

' --- Ein Fugngerzyklus, Variante mit AmpelTakt ------
  
  WunschFuSperre = True
  ft.WaitForTime 100 * timeFak
  
  AmpelTakt 100, csGrnA, csGelbE, csRotA, csFussA
  AmpelTakt 350, csGrnA, csGelbA, csRotE, csFussE
  AmpelTakt 100, csGrnA, csGelbA, csRotE, csFussA
  AmpelTakt 100, csGrnA, csGelbE, csRotE, csFussA
  AmpelTakt 500, csGrnE, csGelbA, csRotA, csFussA
  
  WunschFuSperre = False
  
End Sub

Private Sub AmpelTakt(TaktZeit, ParamArray Lampen())

' --- Steuerung eines Ampeltaktes fr beliebig viele Lampen (ParamArray) ---

Dim i&, p&

  p = 0
  For i = LBound(Lampen) To UBound(Lampen)
    p = p + Lampen(i)
  Next i
  ft.SetMotors p
  ft.WaitForTime TaktZeit * timeFak
  
End Sub

Private Sub cmdAction_Click()

Dim res&

  If cmdAction.Caption = "START" Then
    If ft.OpenInterface("COM1") = ftiFehler Then
      MsgBox "InterfaceProblem", vbExclamation + vbOKOnly, "FishLamp"
      Exit Sub
    End If
    cmdEnde.Enabled = False
    cmdAction.Caption = "HALT"
    ft.SetMotors lampsAus
    ft.NotHalt = False
'    comDrei
    comFuss
  Else
    ft.NotHalt = True
  End If
  
  ft.SetMotors lampsAus
  ft.CloseInterface
  cmdEnde.Enabled = True
  cmdAction.Caption = "START"
  lblStatus = "Starten/Ende"
  cmdEnde.SetFocus
  
End Sub


Private Sub cmdEnde_Click()

  Unload Me
  
End Sub


Private Sub Form_Load()

  Set ft = New clsFishFace
  ChDrive App.Path
  ChDir App.Path
  
End Sub


